# Copyright (C) 2017 Aleksi Suomalainen <suomalainen.aleksi@gmail.com>
# Released under the MIT license (see COPYING.MIT for the terms)
DESCRIPTION = "Glacier settings software"
HOMEPAGE = "https://github.com/nemomobile-ux/glacier-settings"
LICENSE = "LGPL-2.1"
LIC_FILES_CHKSUM = "file://src/main.cpp;begin=1;end=18;md5=695266788af160cddbc58e6ca785dc17"

SECTION = "Settings"


SRC_URI = "git://github.com/nemomobile-ux/glacier-settings.git;protocol=https;branch=master \
           file://0001-Glacier-settings-Install-languages-in-usr-share-supp.patch \
           "
SRCREV = "0ac46f2f8fab4f1d54c475557250fb84b043b484"
PR = "r1"
PV = "+git${SRCREV}"
S = "${WORKDIR}/git"

inherit qmake5

DEPENDS = "nemo-qml-plugin-systemsettings libglacierapp"
RDEPENDS_${PN} = "nemo-qml-plugin-systemsettings kf5bluezqt nemo-qml-plugin-settings libconnman-qt5 mapplauncherd-booster-qtcomponents libglacierapp qtquickcontrols-nemo nemo-qml-plugin-configuration"

FILES_${PN} += "/usr/share/mapplauncherd/privileges.d/glacier-settings.privileges \
    /usr/share/glacier-settings/qml/plugins/developermode \
    /usr/share/glacier-settings/plugins/developermode.json \
    /usr/share/glacier-settings/plugins/keyboard.json \
    /usr/share/glacier-settings/qml/plugins/keyboard \
    /usr/share/glacier-settings/plugins/bluez4.json \
    /usr/share/glacier-settings/qml/plugins/bluez4 \
    /usr/share/supported-languages"

